import { Message, NotificationPayload } from "../types/event";
declare class ProcessPayload {
    data: NotificationPayload;
    type: string;
    constructor(data: NotificationPayload);
    get_value: () => import("../types/event").Value;
    get_type(): void;
    getMediaLinks(id: string | number): void;
    process_message(m: Message): Message;
    get_messages(): Message[];
    get_statuses(): import("../types/event").Status[];
    get_contacts(): import("../types/event").Contact[];
    get_errors(): any[];
    get_metadata(): {
        display_phone_number: any;
        phone_number_id: any;
    };
}
export default ProcessPayload;
